Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Common
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports CharterDotCom.CommonEntities.Library.EntityG2BServices
Imports CharterDotCom.WebSite.Library
Imports CharterDotCom.WebSite.Library.BLCommon

Partial Class Visitors_FrequentQuestions
    Inherits CharterCMSPage


	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        MyBase.SetTemplate(1)
        Dim _menuItem As MenuItem
		Dim _productItem As ProductItem
		Dim _nonProductItem As NonProductItem

    If Not IsPostBack Then

            Dim d As DateTime = CachedControls.getExpireDate()

      If HttpContext.Current.Cache.Item("Template12") Is Nothing Then
        HttpContext.Current.Cache.Insert("Template12", DateTime.Now, Nothing, d, System.TimeSpan.Zero, System.Web.Caching.CacheItemPriority.NotRemovable, Nothing)
      End If

      Response.AddCacheItemDependency("Template12") 'CacheKey.OutputCacheDurationKey)

      If Application(Request.Url.LocalPath) Is Nothing Then
        Application.Add(Request.Url.LocalPath, "Template12")
      End If

      If Not (Request.QueryString(QueryStringName.ProductItem) Is Nothing) Then
        _productItem = CType(Request.QueryString(QueryStringName.ProductItem), ProductItem)

        Select Case _productItem
          Case ProductItem.CableTV
            _menuItem = MenuItem.CableTV
            _nonProductItem = NonProductItem.CableTVFAQ
            ucCustomContent2.ContentKey = "CableTVFAQ:Body"
          Case ProductItem.Internet
            _menuItem = MenuItem.Internet
            _nonProductItem = NonProductItem.InternetFAQ
            ucCustomContent2.ContentKey = "InternetFAQ:Body"
          Case ProductItem.Telephone
            _menuItem = MenuItem.Telephone
            _nonProductItem = NonProductItem.TelephoneFAQ
            ucCustomContent2.ContentKey = "TelephoneFAQ:Body"
        End Select

                'ucHeader.SelectedItem = _menuItem
        ucLocalNavigation.Item = _menuItem
        ucLocalNavigation.SubItem2 = _nonProductItem
        ucSupport.Item = _productItem
        ucSupport.Mode = SupportMode.SingleProduct
      End If
    End If
	End Sub
End Class
